{% load static %}
{% comment %}
 доступные props:
 -header_icon - для модалок с иконкой в header;
 -header_title - для модалок с title в header;
 -body_title - для модалок с title в body;
 -body_text - для модалок с text в body;
 -form - отображение формы;
 -form_phone - для модалок с input phone;
 -form_before_text - иногда присутствует before text  перед input ;
 -form_select - для модалок с select;
 -computer_form - отображение готовой формы "Компьютерная помощь";
 -btn - отображение блока кнопок;
 -cancel_btn - отображение кнопки "отменить";
 удачи
{% endcomment %}
<div class="modal fade dialog-modals" id="{{ id }}" data-keyboard="true" tabindex="-1"
     aria-labelledby="equipment-modal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                {% if header_icon %}
                    <img class="modal-header__img" loading="lazy" src="{% static header_icon %}"
                         alt="">
                {% endif %}
                {% if header_title %}
                    <h6 class="modal-header__title">
                        {{ header_title }}
                    </h6>
                {% endif %}
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% if body_title %}
                    <h6 class="modal-body__title">
                        {{ body_title }}
                    </h6>
                {% endif %}
                {% if body_text %}
                    <p class="modal-body__text">
                        {{ body_text }}
                    </p>
                {% endif %}
                {% if form %}
                    <form action="/my-services/" method="post" class="profile-changer-form" id="born-form">
                        {% csrf_token %}
                        <div class="input-group">
                            <input type="hidden" value="{{ form_phone }}" name="service_id">
                            <input id="" type="text" class="form-control" name="mac" data-value="{{ ie.mac }}"
                                   aria-describedby="born_date_input" value="{{ ie.mac }}" maxlength="12">
                        </div>
                {% endif %}
            {% if btn %}
             <div class="modal-body-buttons-block mt-3">
                    {% if cancel_btn %}
                        <a href="" class="button-cancel">
                            Отменить
                        </a>
                    {% endif %}
                    <button class="btn acc-btn acc-btn-darkblue modal-body__btn" type="submit">{{ btn_text }}</button>
                    </form>
                </div>
            {% endif %}
            </div>
        </div>
    </div>
</div>